Page tree
Skip to end of metadata
Go to start of metadata

With translate5 3.1.1 PHP must be installed with curl. Curl is needed to talk to several third party services, mainly openID connect, or also the language resource "google machine translation".

The communication is done encrypted with SSL therefore curl needs up to date ca.cert informations on the local machine. The CAs of the SSL certificate of the requested URLs are checked against this local CA list.

If the local CA list is not update, the following or similar errors can occur:

cURL error 60: SSL certificate problem: unable to get local issuer certificate

In this case either update the CA bundle of the operating system, or download up-to-date CA bundle on your own, and configure curl to use it.

To use the downloaded file, use it at an suitable place on the disk and configure it in the used php.ini:

curl.cainfo = "/path/to/cacert.pem"

The cacert.pem can be downloaded from http://curl.haxx.se/ca/cacert.pem

See also https://daniel.haxx.se/blog/2018/11/07/get-the-ca-cert-for-curl/

  • No labels